From aedc97fc1710286334cd2fbfc2d8aaa197cbdbbb Mon Sep 17 00:00:00 2001
From: Jun Xiao <xiaojuntime@gmail.com>
Date: Mon, 23 Sep 2013 05:26:48 -0700
Subject: [PATCH 3/4] probe->packet must be freed to avoid mem leak

---
 libparistraceroute/libparistraceroute/probe.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/libparistraceroute/libparistraceroute/probe.c b/libparistraceroute/libparistraceroute/probe.c
index 8898438..2629f1c 100644
--- a/libparistraceroute/libparistraceroute/probe.c
+++ b/libparistraceroute/libparistraceroute/probe.c
@@ -496,8 +496,7 @@ probe_t * probe_wrap_packet(packet_t * packet)
     }
 
     // Clear the probe
-    // The actual value of probe->packet is not freed since it
-    // can pointed by another probe_t instance.
+    packet_free(probe->packet);
     probe->packet = packet;
     probe_layers_clear(probe);
 
-- 
1.7.9.5

